import { ResPage, StoreUser } from "@/api/interface/index";
import { PORT_NONE } from "@/api/config/servicePort";
import http from "@/api";

export const getThaliList = params => {
  return http.get<ResPage<StoreUser.ResStoreUserList>>(PORT_NONE + `/PcGroupBuy/getThaliList`, params);
};
export const delThaliById = (params: { id: string }) => {
  return http.get(PORT_NONE + `/PcGroupBuy/delThaliById`, params);
};
export const updateStatus = params => {
  return http.get(PORT_NONE + `/PcGroupBuy/updateStatus`, params);
};
export const updateNum = params => {
  return http.get(PORT_NONE + `/PcGroupBuy/updateNum`, params);
};
export const saveDraft = params => {
  return http.post(PORT_NONE + `/PcGroupBuy/saveDraft`, params);
};
export const saveThali = params => {
  return http.post(PORT_NONE + `/PcGroupBuy/saveThali`, params);
};
export const getMenuByStoreId = params => {
  return http.get(PORT_NONE + `/menuPlatform/getMenuByStoreId`, params);
};
export const getHolidayList = (params: any) => {
  return http.get<StoreUser.ResStoreUserList>(PORT_NONE + `/couponPlatform/getHolidayList`, params);
};
export const getThaliById = params => {
  return http.get(PORT_NONE + `/PcGroupBuy/getThaliById`, params);
};
